--- title: "View API key list" slug: "apigateway-product-getapikeylist" updated: 2026-09-17T09:35:41Z published: 2026-09-17T09:35:41Z canonical: "api.ncloud-docs.com/apigateway-product-getapikeylist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # View API key list Available in Classic and VPC View the list of API keys that meet the user-defined conditions. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | POST | /api/v1/products/{product-id}/api-keys/search | ### Request headers For information about the headers common to all API Gateway APIs, see [API Gateway request headers](/docs/en/ai-application-service-apigateway#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `product-id` | String | Required | Product ID whose API key you want to view - 0 - 10 characters - See [View product list](/docs/en/apigateway-product-getproductlist) | ### Request syntax The request syntax is as follows. ``` { "apiKeyValue" : "apiKeyValue", "offset" : 6, "limit" : 0, "apiKeyId" : "apiKeyId", "statusSet" : [ "REQUEST" ] } ``` ### Request body The following describes the request body. | Field | Type | Required | Description | | --- | --- | --- | --- | | `apiKeyValue` | String | Optional | Primary key or secondary key value | | `offset` | Long | Optional | Starting point of the response data - 0 - 9,223,372,036,854,775,807 - It is used with `limit` to implement pagination | | `limit` | Long | Optional | Maximum number of response data - 1 - 9,223,372,036,854,775,807 - It is used with `offset` to implement pagination | | `apiKeyId` | String | Optional | API key ID - 0 - 10 characters - See [View API key list](/docs/en/apigateway-product-getapikeylist) | | `statusSet` | Array | Optional | API key status - `REQUEST` \| `DENY` \| `ACCEPTED` \| `REJECTED` \| `BLOCKED_REQUEST` - `REQUEST`: requested - `DENY`: request denied - `ACCEPTED`: approved - `REJECTED`: denied - `BLOCKED_REQUEST`: request blocked | ### Request example The following is a sample request. ``` curl --location --request POST'https://apigateway.apigw.ntruss.com/api/v1/products/***ksk9***/api-keys/search' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "limit": 1, "statusSet": [ "ACCEPTED" ] }' ``` ## Response The following describes the response format. ### Response syntax The response syntax is as follows. ``` { "apiKeyPage" : { "total" : 0, "content" : [ { "domainCode" : "domainCode", "regTime" : "2000-01-23T04:56:07.000+00:00", "secondaryKey" : "secondaryKey", "modTime" : "2000-01-23T04:56:07.000+00:00", "apiKeyId" : "apiKeyId", "apiKeyName" : "apiKeyName", "primaryKey" : "primaryKey", "status" : "REQUEST" } ] } } ``` ### Response status codes For information about the HTTP status codes common to all API Gateway APIs, see [API Gateway response status codes](/docs/en/ai-application-service-apigateway#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` { "apiKeyPage": { "content": [ { "primaryKey": "***cPwqGb81wdWGWTS0rJc6WSoamDEmWtL2T6***", "secondaryKey": "***1rDumQKkUPD8ogxdpAouZRMTNy9YTFliHP***", "apiKeyId": "***g2ya***", "apiKeyName": "apikey001", "regTime": "2024-05-09T00:58:08Z", "modTime": "2024-05-09T00:58:08Z", "status": "ACCEPTED", "domainCode": "PUB" } ], "total": 2 } } ```